import { defineStore } from 'pinia'

export const useZoneEditorStore = defineStore('zoneEditor', {
  state: () => ({
    loaded: false,
    tiles: undefined,
  }),
  getters: {
    isLoaded: (state) => state.loaded,
    getTiles: (state) => state.tiles,
  },
  actions: {
    loadTiles(tiles: any) {
      this.tiles = tiles
      this.loaded = true
    },
  }
})
